// contains locked registers

#include <stdint.h>


register uint8_t sreg_tmp __asm__("r2");
register uint8_t cur_ocr __asm__("r3");
register uint8_t cnt_to_ocr_incr __asm__("r4");
register uint8_t next_ocr __asm__("r5");
register uint8_t next_cnt_to_incr __asm__("r6");
register uint8_t cnt_to_next __asm__("r7");
register uint8_t needs_new_data_flag __asm__("r8");

